Subject: Re: [Patch net-next] ipv6: exit early in addrconf_notify() if IPv6 is disabled

From: Hannes Frederic Sowa <[email-masked]>
Date: Fri, 12 Sep 2014 22:18:19 +0200

Hi Cong,

On Do, 2014-09-11 at 15:07 -0700, Cong Wang wrote:
> If IPv6 is explicitly disabled before the interface comes up,
> it makes no sense to continue when it comes up, even just
> print a message.
> 
> (I am not sure about other cases though, so I prefer not to touch)
> 
> Signed-off-by: Cong Wang <[email-masked]>

I checked the other notifier_blocks, I don't think we need to change
anything there.

disable_ipv6 is absolutely bad implemented. It should not be in the ipv6
procfs namespace at all. An inet6_dev must be available to manage this
knob! Thus we are automagically subscribed to all ipv6 LL multicast
groups.

I don't see any problems with this patch:
Acked-by: Hannes Frederic Sowa <[email-masked]>

Thanks,
Hannes